Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007779 [DCSS] Patches minor N/A 2013-11-24 00:49 2014-01-08 23:00
Reporter Cedor View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007779: monster spell list in description
Description added a new element in mon-info for description: spell list.

added display for this list in monster description.
Additional Information
Tags No tags attached.
Attached Files ? file icon mons_spell_desc_ext.patch [^] (23,256 bytes) 2013-12-04 15:22 [Show Content]
? file icon 0001-Added-spell-list-to-monster-description-for-player-g.patch [^] (8,162 bytes) 2013-12-06 13:00 [Show Content]
? file icon 0001-Fix-missing-handling-of-fake-spells-in-monster-spell.patch [^] (1,090 bytes) 2013-12-06 13:14 [Show Content]

- Relationships
related to 0007771closedMarvinPA Monsters with vault-defined spell sets display incorrect spell listings in examination screen 

-  Notes
(0024475)
MarvinPA (developer)
2013-11-24 10:35
edited on: 2013-11-24 10:42

Random pan lords shouldn't display their spell sets, it's fine that you can't know what their spells are in advance (and it would be bad if you needed to xv every random pan lord). It's just player ghosts that ought to display spells, since you can look up their spells already anyway.

(Edit: also I think there's a typo in the patch? Line 93 should be "spells[i] = ghost.spells[i];").

Another minor issue: player ghosts with no spells still get a blank "It has mastered the following spells:" line in their description.

(0024476)
Cedor (reporter)
2013-11-24 10:47
edited on: 2013-11-24 14:27

ok, i'll update this.

Edit : corrected (hope so).

(0024595)
Cedor (reporter)
2013-12-04 15:25
edited on: 2013-12-04 15:25

Finally extended it to vault monsters (mons_spell_desc_ext.patch). Some methods added to monster_info class, some props added to pass info from des files to monster_info class, and some code cleaning in the spell list description function.

(0024612)
MarvinPA (developer)
2013-12-06 13:00
edited on: 2013-12-06 13:16

I fixed a few comments and spacing issues, and squashed the patches for clarity.

Edit: and added a patch to fix the missing handling of fake spells. As far as I can tell it all works correctly now, maybe someone else could take a look as well just to doublecheck.

(0024914)
MarvinPA (developer)
2014-01-03 20:18

I took another look at this, fixed a few more issues and pushed it. Thanks for the patch!

- Issue History
Date Modified Username Field Change
2013-11-24 00:49 Cedor New Issue
2013-11-24 00:49 Cedor File Added: mon_spell_desc.patch
2013-11-24 10:35 MarvinPA Note Added: 0024475
2013-11-24 10:38 MarvinPA Note Edited: 0024475
2013-11-24 10:39 MarvinPA Note Edited: 0024475
2013-11-24 10:42 MarvinPA Note Edited: 0024475
2013-11-24 10:47 Cedor Note Added: 0024476
2013-11-24 14:20 Cedor File Added: mon_spell_desc_corr.patch
2013-11-24 14:21 Cedor Note Edited: 0024476
2013-11-24 14:27 Cedor Note Edited: 0024476
2013-11-24 17:36 MarvinPA Issue Monitored: MarvinPA
2013-12-04 15:22 Cedor File Added: mons_spell_desc_ext.patch
2013-12-04 15:25 Cedor Note Added: 0024595
2013-12-04 15:25 Cedor Note Edited: 0024595
2013-12-06 11:33 MarvinPA Relationship added related to 0007771
2013-12-06 13:00 MarvinPA File Deleted: mon_spell_desc.patch
2013-12-06 13:00 MarvinPA File Deleted: mon_spell_desc_corr.patch
2013-12-06 13:00 MarvinPA Note Added: 0024612
2013-12-06 13:00 MarvinPA File Added: 0001-Added-spell-list-to-monster-description-for-player-g.patch
2013-12-06 13:14 MarvinPA File Added: 0001-Fix-missing-handling-of-fake-spells-in-monster-spell.patch
2013-12-06 13:16 MarvinPA Note Edited: 0024612
2014-01-03 20:18 MarvinPA Note Added: 0024914
2014-01-03 20:18 MarvinPA Status new => resolved
2014-01-03 20:18 MarvinPA Fixed in Branch => 0.14 development branch
2014-01-03 20:18 MarvinPA Resolution open => done
2014-01-03 20:18 MarvinPA Assigned To => MarvinPA
2014-01-03 20:21 MarvinPA Issue End Monitor: MarvinPA
2014-01-08 23:00 Cedor Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker